:root {
  --primary-color: #ffa01a;
  --secondary-color: #fdd7a3;
}

.profile-wrapper {
  min-height: 100vh;
  background: linear-gradient(
    to bottom,
    var(--primary-color) 0 62%,
    #000 62% 100%
  );
  position: relative;
  padding-top: 35vh;

  .profile-card {
    position: relative;
    background: white;
    min-height: 25vh;
    padding-top: 45px;

    .profile-picture {
      position: absolute;
      z-index: 2;
      width: 230px;
      height: 230px;
      object-fit: cover;
      top: -200px;
      left: 50%;
      transform: translateX(-50%);
      border: 10px solid var(--secondary-color);
    }

    .profile-content {
      position: relative;
      z-index: 3;

      h2 {
        text-transform: uppercase;
        font-weight: bolder;
        color: var(--primary-color);
      }

      p {
        color: #9e9e9e;
        font-size: 1.1rem;
        line-height: 1.5;
        margin-top: 10px;
        font-weight: 600;
      }

      .social-links {
        display: flex;
        justify-content: center;
        gap: 12px;
        margin-top: 20px;

        .social-icon {
          width: 40px;
          height: 40px;
          display: flex;
          align-items: center;
          justify-content: center;
          border-radius: 50%;
          background: none;
          border: 1px solid var(--secondary-color);
          color: var(--primary-color);
          text-decoration: none;
          font-size: 17px;
          transition: 0.2s;
        }
      }

      .about {
        color: #626262 !important;
        font-weight: 500;
        margin-top: 30px !important;
        margin: 30px;
      }

      .social-media-links a {
        text-decoration: none;
        color: var(--primary-color);
        font-size: 20px;
        transition: 0.2s;
        margin: 0 3px;
      }

      .social-media-icon {
        width: 45px;
      }
    }
  }

  .profile-card::before {
    content: "";
    position: absolute;
    top: -80px;
    left: -10%;
    width: 120%;
    height: 160px;
    background: white;
    border-radius: 50% 50% 0 0;
  }

  .profile-footer {
    position: relative;
    z-index: 3;
    justify-content: space-around;
    color: white;

    span {
      color: #9e9e9e;
      font-size: 15px;
    }
  }

  .profile-banner {
    background-color: #404040;
    padding: 10px;
    text-align: center;

    p {
      color: #fff !important;
      font-size: 15px;
      margin: 0;

      a {
        color: orange;
        text-decoration: underline;
      }
    }
  }
}

.profile-header {
  background: var(--primary-color);
  position: absolute;
  top: 20px;
  right: 20px;
  z-index: 10;

  i {
    font-size: 24px;
    color: white;
  }

  ul {
    background: rgba(58, 58, 58, 0.92);

    .dropdown-item {
      color: white;
      font-size: 17px;
      padding: 10px 20px;
    }
  }
}

.btn {
  padding: 5px 20px;
  border-radius: 5px;
  cursor: pointer;
  transition: 0.2s;
  width: 130px;
  font-weight: 600;
}
.btn-primary {
  background: var(--primary-color);
  color: white;
  border: none;
}

.btn-primary:focus,
.btn-primary:hover {
  background: var(--primary-color) !important;
}

.btn-secondary {
  background: none;
  color: var(--primary-color);
  border: 1px solid var(--primary-color);
}

.btn-secondary:focus,
.btn-secondary:hover {
  background: none !important;
  color: var(--primary-color) !important;
  border: 1px solid var(--primary-color) !important;
}

.shareModal .modal-content {
  p {
    background-color: #e4e4e4;
    color: black;
    border-radius: 5px;
    padding: 5px 10px;
    text-decoration: none;
    font-size: 15px;
    transition: 0.2s;
    margin: 10px 30px;
  }
  #qrcode {
    padding: 10px;
    border-radius: 20px;
    border: 1px solid var(--secondary-color);
    margin: 30px;
    box-shadow: 0px 0px 40px rgba(0, 0, 0, 0.2);
  }
}
